## openjdk-20 20+36~us1

=== debian/changelog ===
openjdk-20 (20+36~us1-0ubuntu1) lunar; urgency=medium

  * OpenJDK 20 release, build 36. See:
    https://mail.openjdk.org/pipermail/jdk-dev/2023-March/007517.html
  * d/{control, compat}: update debhelper-compat version, add jtreg7
    dependencies, regenerate control.
  * d/t/{jdk,hotspot,jaxp,lantools}: run tier1 and tier2 jtreg tests only,
    add test options from OpenJDK makefile.
  * d/t/*: fix test environment: add missing -nativepath (LP: #2001563).
  * d/t/jdk: provide dbus session for the window manager (LP: #2001576).
  * d/p/build_gtest.patch: build OpenJDK with the system googletest
    (LP: #2012316).
  * d/p/*: add patches for jtreg tests:
    - disable-thumb-assertion.patch: fix JDK-8305481.
    - update-assertion-for-armhf.patch: fix JDK-8305480.
    - misalign-pointer-for-armhf.patch: packaging-specific patch to fix test
      failure introduced by d/p/m68k-support.diff.
    - log-generated-classes-test.patch: workaround JDK-8166162.
    - update-permission-test.patch: add security permissions for testng 7.
    - ldap-timeout-test-use-ip.patch, test-use-ip-address.patch: Ubuntu-specific
      patches to workaround missing DNS resolver on the build machines.
    - exclude_broken_tests.patch: quarantine failing tests.
  * d/rules: package external debug symbols (LP: #2015835).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 03 Apr 2023 11:27:49 +1200

openjdk-20 (20~36ea~us1-0ubuntu2) lunar; urgency=medium

  * d/p: drop obsolete patches (LP: #2011653).
    - generated-headers.patch: include is already added by openjdk makefile.
  * d/rules: use --with-debug-symbols=none (LP: #2003820).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 16 Mar 2023 16:59:11 +1300

openjdk-20 (20~36ea~us1-0ubuntu1) lunar; urgency=medium

  * OpenJDK 20 snapshot, build 36 (LP: #2009116).
  * debian/watch, debian/copyright: implement uscan-based repack.
  * debian/patches/*: refresh patches.
  * debian/patches/reproducible-properties-timestamp.diff: drop patch in favor
    of JDK-8231640.
  * debian/rules: update jquery version to 3.6.1.
  * debian/sources/lintian-overrides: set package name to openjdk-20.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 03 Mar 2023 10:39:26 +1300

openjdk-20 (20~26ea-1ubuntu1) lunar; urgency=medium

  * debian/JB-jre-headless.postinst.in: trigger ca-certificates-java after jre
    is set up.
  * debian/tests/control: use openjdk-20-jre-headless for smoke tests.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 01 Mar 2023 15:24:44 +1300

openjdk-20 (20~26ea-1) unstable; urgency=medium

  * OpenJDK 20 snapshot, build 26 (rampdown phase one).
  * Handle jtreg package name for backports.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2022 12:34:21 +0100

openjdk-20 (20~20ea-1) unstable; urgency=medium

  * OpenJDK 20 snapshot, build 20.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Oct 2022 10:28:19 +0200
