## openjdk-20 20.0.1+9~us1

=== debian/changelog ===
openjdk-20 (20.0.1+9~us1-0ubuntu1~22.10) kinetic-security; urgency=medium

  * Upload to Ubuntu 22.10.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sat, 06 May 2023 13:21:05 +0200

openjdk-20 (20.0.1+9~us1-0ubuntu1) mantic; urgency=medium

  * OpenJDK 20.0.1 release, build 9.
    - CVE-2023-21930, CVE-2023-21937, CVE-2023-21938, CVE-2023-21939,
      CVE-2023-21954, CVE-2023-21967, CVE-2023-21968.
    - Release notes:
      https://adoptium.net/en-GB/temurin/release-notes/?version=jdk-20.0.1+9
  * d/p/*: refresh patches.
  * d/watch: update version format for the security release.
  * d/rules: pack external debug symbols with build-id, do not pack duplicate
    symbols, do not strip JVM shared libraries (LP: #2012326, LP: #2016739).
  * d/rules: disable jtreg tests in kinetic, no jtreg7 package.
  * d/rules: only compile google tests when with_check is enabled, disable them
    for bullseye and jammy.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 20 Apr 2023 15:22:10 +1200
