=== debian/rules ===
--- 
+++ 
@@ -166,7 +166,7 @@
 
 ifneq (,$(filter $(distrel), sid bookworm bullseye))
   jtreg_pkg = jtreg# debian will have jtreg7 in jtreg package
-else ifneq (,$(filter $(distrel), focal jammy kinetic lunar))
+else ifneq (,$(filter $(distrel), lunar mantic))
   jtreg_pkg = jtreg7# temporary ubuntu package
 else
   jtreg_pkg =
@@ -177,7 +177,7 @@
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial bionic))
+ifneq (,$(filter $(distrel), precise trusty xenial bionic kinetic))
   with_check = disabled for $(distrel), no $(jtreg_pkg)
 endif
 #with_check = disabled, more recent jtreg needed
