=== debian/watch ===
version=4
opts=\
repack,\
compression=xz,\
repacksuffix=~us1,\
dversionmangle=s/\~us\d*$//, \
https://github.com/openjdk/jdk20u/tags (?:.*?/)?jdk-(20\.\d+\.\d+\+\d+)\.tar\.gz
