## openjdk-20 20.0.2%2B9

=== debian/changelog ===
openjdk-20 (20.0.2+9-1revyos1) unstable; urgency=medium

  * Use gcc13 rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Tue, 22 Aug 2023 11:15:13 +0800

openjdk-20 (20.0.2+9-1) unstable; urgency=medium

  * OpenJDK 20.0.2 release, build 9.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jul 2023 20:18:17 +0200

openjdk-20 (20.0.1+9-6) unstable; urgency=medium

  [ Matthias Klose ]
  * Link with --no-as-needed. Closes: #1031521.

  [ Vladimir Petko ]
  * d/rules: Always use jtreg7.
  * d/rules: Enable jtreg tests for unstable.
  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Jul 2023 11:46:14 +0200

openjdk-20 (20.0.1+9-5) unstable; urgency=medium

  * Configure --with-stdc++lib=static on ia64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Jun 2023 16:40:48 +0200

openjdk-20 (20.0.1+9-4) unstable; urgency=medium

  [ Vladimir Petko ]
  * disable jtreg tests for trixie as jtreg7 package is not available
  * debian/copyright: Convert to a machine-readable format.
  * debian/copyright: Align excludes statement with openjdk-17.

  [ Matthias Klose ]
  * debian/rules: Correctly set BOOT_JDK_HOME.
  * d/p/m68k-support.diff: update target directory for x11 wrapper type sizes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Jun 2023 11:46:15 +0200

openjdk-20 (20.0.1+9-3) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/rules: only compile google tests when with_check is enabled,
    disable them for bullseye and jammy.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Jun 2023 06:27:54 +0200

openjdk-20 (20.0.1+9-2) unstable; urgency=medium

  * Fix d/p/series file.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Jun 2023 15:42:51 +0200

openjdk-20 (20.0.1+9-1) unstable; urgency=medium

  * OpenJDK 20.0.1 release, build 9.
    - CVE-2023-21930, CVE-2023-21937, CVE-2023-21938, CVE-2023-21939,
      CVE-2023-21954, CVE-2023-21967, CVE-2023-21968.
    - Release notes:
      https://adoptium.net/en-GB/temurin/release-notes/?version=jdk-20.0.1+9

  [ Matthias Klose ]
  * Update VCS attributes in the control file.
  * Fix autopkg test dependencies.
  * Disable checks again, newer test tools are needed.

  [ Vladimir Petko ]
  * debian/watch, debian/copyright: implement uscan-based repack.
  * debian/patches/*: refresh patches.
  * debian/patches/reproducible-properties-timestamp.diff: drop patch in favor
    of JDK-8231640.
  * debian/rules: update jquery version to 3.6.1.
  * debian/sources/lintian-overrides: set package name to openjdk-20.
  * d/p: drop obsolete patches (LP: #2011653).
    - generated-headers.patch: include is already added by openjdk makefile.
  * d/rules: use --with-debug-symbols=none (LP: #2003820).
  * d/{control, compat}: update debhelper-compat version, add jtreg7
    dependencies, regenerate control.
  * d/t/{jdk,hotspot,jaxp,langtools}: run tier1 and tier2 jtreg tests only,
    add test options from OpenJDK makefile.
  * d/t/*: fix test environment: add missing -nativepath (LP: #2001563).
  * d/t/jdk: provide dbus session for the window manager (LP: #2001576).
  * d/p/build_gtest.patch: build OpenJDK with the system googletest
    (LP: #2012316).
  * d/p/*: add patches for jtreg tests:
    - disable-thumb-assertion.patch: fix JDK-8305481.
    - update-assertion-for-armhf.patch: fix JDK-8305480.
    - misalign-pointer-for-armhf.patch: packaging-specific patch to fix test
      failure introduced by d/p/m68k-support.diff.
    - log-generated-classes-test.patch: workaround JDK-8166162.
    - update-permission-test.patch: add security permissions for testng 7.
    - ldap-timeout-test-use-ip.patch, test-use-ip-address.patch: Ubuntu-specific
      patches to workaround missing DNS resolver on the build machines.
    - exclude_broken_tests.patch: quarantine failing tests.
  * d/rules: package external debug symbols (LP: #2015835).
  * d/watch: update version format for the security release.
  * d/rules: pack external debug symbols with build-id, do not pack duplicate
    symbols, do not strip JVM shared libraries (LP: #2012326, LP: #2016739).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Jun 2023 13:04:03 +0200
