=== debian/rules ===
--- 
+++ 
@@ -164,20 +164,14 @@
   NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
 endif
 
-ifneq (,$(filter $(distrel), sid bookworm bullseye))
-  jtreg_pkg = jtreg# debian will have jtreg7 in jtreg package
-else ifneq (,$(filter $(distrel), lunar mantic))
-  jtreg_pkg = jtreg7# temporary ubuntu package
-else
-  jtreg_pkg =
-endif
+jtreg_pkg = jtreg7
 
 with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
-ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel mipsel mips64el riscv64))
+ifneq (,$(filter $(DEB_HOST_ARCH), alpha armel ia64 mipsel mips64el powerpc riscv64 x32))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
 # no jtreg backport yet
-ifneq (,$(filter $(distrel), precise trusty xenial bionic kinetic))
+ifneq (,$(filter $(distrel), precise trusty xenial bionic focal jammy bookworm bullseye))
   with_check = disabled for $(distrel), no $(jtreg_pkg)
 endif
 #with_check = disabled, more recent jtreg needed
@@ -221,7 +215,7 @@
 export DEBIAN_JDK_BASE_DIR := /$(basedir)
 
 BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
-			/usr/lib/jvm/java-18-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
+			/usr/lib/jvm/java-20-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
 			/usr/lib/jvm/java-19-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
 		))))
 
@@ -240,3 +234,6 @@
   export CXX = g++-4.9
   bd_gcc = g++-4.9,
 else ifneq (,$(filter $(distrel),wily))
+  ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
+    export CC = $(DEB_HOST_GNU_TYPE)-gcc-5
+    export CXX = $(DEB_HOST_GNU_TYPE)-g++-5
