## openjdk-20 20.0.2+9+ds1

=== debian/changelog ===
openjdk-20 (20.0.2+9+ds1-0ubuntu1~23.04) lunar-security; urgency=medium

  * d/rules: filter ds repack suffix in the version number.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 01 Aug 2023 08:29:37 +1200

openjdk-20 (20.0.2+9-1~23.04) lunar-security; urgency=medium

  * Upload to Ubuntu 23.04.
  * CVE-2023-22041, CVE-2023-25193, CVE-2023-22044, CVE-2023-22045,
    CVE-2023-22049, CVE-2023-22036, CVE-2023-22006.
  * Release notes:
    https://www.oracle.com/java/technologies/javase/20-0-2-relnotes.html.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Fri, 21 Jul 2023 09:48:06 +1200
