=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openjdk-20
 Section: java
 Priority: optional
-Maintainer: OpenJDK Team <openjdk-20@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: OpenJDK Team <openjdk-20@packages.debian.org>
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 11),
   m4, lsb-release, zip, unzip,
