=== debian/rules ===
--- 
+++ 
@@ -102,7 +102,7 @@
 jvmver		= 1.20.0
 shortver	= 20
 # exclude early access and Ubuntu repack tag
-v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//' | sed 's/\~us[[:digit:]]\+//')
+v_debian	:= $(shell echo $(PKGVERSION) | sed 's/ea//' | sed 's/\~us[[:digit:]]\+//' | sed 's/\+ds[[:digit:]]\+//')
 v_upstream	:= $(shell echo $(v_debian) | sed 's/-[^-][^-]*$$//')
 v_pkgrel	:= $(shell echo $(v_debian) | sed 's/^.*-//')
